Cantera 2.6.0

plots.h
Go to the documentation of this file.
1/**
2 * @file plots.h Contains declarations for utility functions for outputing to
3 * plotting programs.
4 */
5
6// This file is part of Cantera. See License.txt in the top-level directory or
7// at https://cantera.org/license.txt for license and copyright information.
8
9#ifndef CT_PLOTS_H
10#define CT_PLOTS_H
11
12#include "cantera/base/Array.h"
13#include "cantera/base/ctexceptions.h"
14
15#include <fstream>
16
17 namespace Cantera
18{
19//! Write a Plotting file
20/*!
21 * @param fname Output file name
22 * @param fmt Either TEC or XL or CSV
23 * @param plotTitle Title of the plot
24 * @param names vector of variable names
25 * @param data N x M data array.
26 * data(n,m) is the m^th value of the n^th variable.
27 * @deprecated To be removed after Cantera 2.6.
28 */
29 void writePlotFile(const std::string& fname, const std::string& fmt,
30 const std::string& plotTitle, const std::vector<std::string> &names,
31 const Array2D& data);
32
33//! Write a Tecplot data file.
34/*!
35 * @param s output stream
36 * @param title plot title
37 * @param names vector of variable names
38 * @param data N x M data array.
39 * data(n,m) is the m^th value of the n^th variable.
40 * @deprecated To be removed after Cantera 2.6.
41 */
42 void outputTEC(std::ostream& s, const std::string& title,
43 const std::vector<std::string>& names,
44 const Array2D& data);
45
46//! Write an Excel spreadsheet in 'csv' form.
47/*!
48 * @param s output stream
49 * @param title plot title
50 * @param names vector of variable names
51 * @param data N x M data array.
52 * data(n,m) is the m^th value of the n^th variable.
53 * @deprecated To be removed after Cantera 2.6.
54 */
55 void outputExcel(std::ostream& s, const std::string& title,
56 const std::vector<std::string>& names,
57 const Array2D& data);
58}
59
60#endif
Array.h
Header file for class Cantera::Array2D.
ctexceptions.h
Definitions for the classes that are thrown when Cantera experiences an error condition (also contain...
Cantera
Namespace for the Cantera kernel.
Definition: AnyMap.cpp:557
Cantera::outputTEC
void outputTEC(std::ostream &s, const std::string &title, const std::vector< std::string > &names, const Array2D &data)
Write a Tecplot data file.
Definition: plots.cpp:37
Cantera::writePlotFile
void writePlotFile(const std::string &fname, const std::string &fmt, const std::string &plotTitle, const std::vector< std::string > &names, const Array2D &data)
Write a Plotting file.
Definition: plots.cpp:16
Cantera::outputExcel
void outputExcel(std::ostream &s, const std::string &title, const std::vector< std::string > &names, const Array2D &data)
Write an Excel spreadsheet in 'csv' form.
Definition: plots.cpp:62
fmt
Versions 6.2.0 and 6.2.1 of fmtlib do not include this define before they include windows....
Definition: fmt.h:31